Subject: bug#62941: closed (Re: bug#62941: [PATCH 0/3] gnu: fritzing: Improve package style.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 10 Aug 2023 22:47:02 +0000

Your bug report

#62941: [PATCH 0/3] gnu: fritzing: Improve package style.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62941: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62941
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#62941: [PATCH 0/3] gnu: fritzing: Improve package style.
From: Ludovic Courtès <[email-masked]>
To: Sharlatan Hellseher <[email-masked]>
Cc: [email-masked]
Date: Fri, 11 Aug 2023 00:46:23 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Sharlatan Hellseher <[email-masked]> skribis:

> This patch series continue adjustment of packages where qtserialport is in use
> to make the future rename to qtserialport-5 and introduce qtserialport based
> on Qt6 easer.
>
> I've move parts into dedicated package and use it as native inputs during
> configure phase. With gentle touch I've checked whether use-modules has no
> duplicates and sort them alphabetically to soothe the future maintenance.
>
> Sharlatan Hellseher (3):
>   gnu: Add fritzing-parts.
>   gnu: fritzing: Improve package style.
>   gnu: Sort use-module alphabetically in (gnu packages engineering)

It took a while, but it’s finally applied, thanks!

Ludo’.

Subject: [PATCH 0/3] gnu: fritzing: Improve package style.
From: Sharlatan Hellseher <[email-masked]>
To: [email-masked]
Cc: Sharlatan Hellseher <[email-masked]>
Date: Tue, 18 Apr 2023 21:09:34 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

This patch series continue adjustment of packages where qtserialport is in use
to make the future rename to qtserialport-5 and introduce qtserialport based
on Qt6 easer.

I've move parts into dedicated package and use it as native inputs during
configure phase. With gentle touch I've checked whether use-modules has no
duplicates and sort them alphabetically to soothe the future maintenance.

Sharlatan Hellseher (3):
  gnu: Add fritzing-parts.
  gnu: fritzing: Improve package style.
  gnu: Sort use-module alphabetically in (gnu packages engineering)

 gnu/packages/engineering.scm | 173 +++++++++++++++++++++--------------
 1 file changed, 106 insertions(+), 67 deletions(-)

base-commit: 50dd91bc30634c75c0001cfd38bbcc2fbbeb894e
-- 
2.39.2